% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot2D.R
\name{plotPieCluster}
\alias{plotPieCluster}
\title{Visualization pie plot of cluster data of CYT}
\usage{
plotPieCluster(
  object,
  item.use = c("PC_1", "PC_2"),
  cex.size = 1,
  size.by.cell.number = TRUE,
  main = "2D pie plot of CYT",
  plot.theme = theme_bw()
)
}
\arguments{
\item{object}{A CYT object}

\item{item.use}{character. Items use to 2D plot, axes x and y must be numeric.}

\item{cex.size}{numeric. Size of the dot}

\item{size.by.cell.number}{logical. Whether to show size of cell number.}

\item{main}{character. Title of the plot.}

\item{plot.theme}{themes from \code{ggplot2}}
}
\value{
ggplot2 figure
}
\description{
Visualization pie plot of cluster data of CYT
}
\examples{

cyt.file <- system.file("extdata/cyt.rds", package = "CytoTree")
cyt <- readRDS(file = cyt.file)

# Runs only have more than two stages
plotPieCluster(cyt, cex.size = 0.5)

plotPieCluster(cyt, item.use = c("PC_1", "PC_2"), cex.size = 0.5)
plotPieCluster(cyt, item.use = c("PC_2", "PC_3"), cex.size = 0.5)

plotPieCluster(cyt, item.use = c("tSNE_1", "tSNE_2"), cex.size = 20)

plotPieCluster(cyt, item.use = c("DC_1", "DC_2"), cex.size = 0.5)

plotPieCluster(cyt, item.use = c("UMAP_1", "UMAP_2"), cex.size = 1)
plotPieCluster(cyt, item.use = c("UMAP_1", "UMAP_2"), cex.size = 1) 


}
