% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plotTree.R
\name{plotPieTree}
\alias{plotPieTree}
\title{plot MST pie of CYT}
\usage{
plotPieTree(
  object,
  cex.size = 2,
  size.by.cell.number = TRUE,
  as.tree = FALSE,
  root.id = NULL,
  show.node.name = FALSE
)
}
\arguments{
\item{object}{a CYT object}

\item{cex.size}{numeric. size cex of the dot}

\item{size.by.cell.number}{logical. Whether to size node by cell number}

\item{as.tree}{logical. Whether to show node as tree}

\item{root.id}{numeric. Root id of the tree, if as.tree is TRUE}

\item{show.node.name}{logical. whether to show node name}
}
\value{
ggplot2 figure
}
\description{
plot MST pie of CYT
}
\examples{

cyt.file <- system.file("extdata/cyt.rds", package = "CytoTree")
cyt <- readRDS(file = cyt.file)

# Runs only have two or more stages
plotPieTree(cyt, cex.size = 1, size.by.cell.number = TRUE) 


}
