% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plotTree.R
\name{plotTree}
\alias{plotTree}
\title{plot MST of CYT}
\usage{
plotTree(
  object,
  cex.size = 1,
  color.by = "cell.number",
  size.by = "cell.number",
  as.tree = FALSE,
  root.id = NULL,
  show.node.name = FALSE
)
}
\arguments{
\item{object}{a CYT object}

\item{cex.size}{numeric. size cex of the dot}

\item{color.by}{numeric. size color theme of the dot}

\item{size.by}{numeric. size theme of the dot}

\item{as.tree}{logical. Whether to show node as tree}

\item{root.id}{numeric. Root id of the tree, if as.tree is TRUE}

\item{show.node.name}{logical. whether to show node name}
}
\value{
ggplot2 figure
}
\description{
plot MST of CYT
}
\examples{

cyt.file <- system.file("extdata/cyt.rds", package = "CytoTree")
cyt <- readRDS(file = cyt.file)

plotTree(cyt)

plotTree(cyt, show.node.name = TRUE)

plotTree(cyt, color.by = "CD43", show.node.name = TRUE, cex.size = 1) 

plotTree(cyt, color.by = "D0.percent", show.node.name = TRUE, cex.size = 1) 

plotTree(cyt, color.by = "D2.percent", show.node.name = TRUE, cex.size = 1) 

plotTree(cyt, color.by = "pseudotime", cex.size = 1)



}
