% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/subsetCYT.R
\name{subsetCYT}
\alias{subsetCYT}
\title{subset CYT object}
\usage{
subsetCYT(object, cells = NULL, knn = NA, verbose = FALSE)
}
\arguments{
\item{object}{A CYT object}

\item{cells}{vector, Names of the cells to retain.}

\item{knn}{numeric. If is NA, the KNN will be equal to the knn number in the input CYT object.}

\item{verbose}{logic. Whether to print calculation progress.}
}
\value{
A CYT object
}
\description{
This subsets an CYT object by given a list of cells or cluster id.
    This function will subset all results without recalculating them, such as knn,
    PCA, tSNE, umap and pseudotime. For instance, you can choose recalculate PCA and
    tSNE and destiny scores by paramter recalculate.
}
\examples{

cyt.file <- system.file("extdata/cyt.rds", package = "CytoTree")
cyt <- readRDS(file = cyt.file)

meta.data <- fetchPlotMeta(cyt)
cells <- meta.data$cell[which(meta.data$stage == "D0")]
sub.cyt <- subsetCYT(cyt, cells = cells)
sub.cyt



}
